> ## Documentation Index
> Fetch the complete documentation index at: https://developers.vidbeo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch player

> Get a player's details



## OpenAPI

````yaml get /players/{PLAYER_ID}
openapi: 3.0.3
info:
  title: Video API
  description: Use our Video API to handle your video storage, transcoding and delivery.
  contact:
    name: Vidbeo Support
    url: https://www.vidbeo.com
    email: support@vidbeo.com
  version: 2.0.0
servers:
  - url: https://api.vidbeo.com/v2
security:
  - bearerAuth: []
tags:
  - name: Analytics
  - name: API keys
  - name: Audit logs
  - name: Categories
  - name: Folders
  - name: Identity providers
  - name: Invites
  - name: JWT keys
  - name: Players
  - name: Services
  - name: Stream keys
  - name: Tokens
  - name: Transcribes
  - name: Uploads
  - name: Users
  - name: Videos
paths:
  /players/{PLAYER_ID}:
    parameters:
      - $ref: '#/components/parameters/playerId'
    get:
      tags:
        - Players
      summary: Fetch player
      description: Get a player's details
      responses:
        '200':
          $ref: '#/components/responses/Player'
        '404':
          $ref: '#/components/responses/Error404'
components:
  parameters:
    playerId:
      name: PLAYER_ID
      in: path
      description: ID of the player
      required: true
      schema:
        type: string
        example: abcde12345abcde12345a
  responses:
    Player:
      description: Player
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: true
              result:
                $ref: '#/components/schemas/Player'
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                minLength: 0
                maxLength: 0
                example: []
    Error404:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: false
              result:
                type: object
                example: {}
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                      example: Not found
            example:
              success: false
              result: {}
              links: {}
              errors:
                - message: Not found
  schemas:
    Player:
      type: object
      required:
        - id
        - aspectratio
        - autoplay
        - colour
        - controls
        - buttons
        - dnt
        - keyboard
        - loop
        - name
        - muted
        - playsinline
        - preload
        - quality
        - title
        - track
        - created_by
        - created_time
        - updated_by
        - updated_time
      properties:
        id:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        aspectratio:
          type: string
          enum:
            - '16:9'
          example: '16:9'
        autoplay:
          type: boolean
          example: false
        colour:
          type: string
          pattern: ^#[a-zA-Z0-9]{6}$
          example: '#ff0000'
        controls:
          type: boolean
          example: false
        buttons:
          type: string
          example: play,progress,fullscreen
        dnt:
          type: boolean
          example: false
        keyboard:
          type: boolean
          example: false
        loop:
          type: boolean
          example: false
        name:
          type: string
          minLength: 1
          maxLength: 40
          example: Example
        muted:
          type: boolean
          example: false
        playsinline:
          type: boolean
          example: false
        preload:
          type: boolean
          example: false
        quality:
          type: string
          enum:
            - highest
            - lowest
          example: highest
        title:
          type: boolean
          example: false
        track:
          type: string
          enum:
            - de-DE
            - en-AU
            - en-GB
            - en-US
            - es-ES
            - fr-FR
            - it-IT
          example: en-US
        created_by:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        created_time:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00.000Z'
        updated_by:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        updated_time:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00.000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````